Package com.collibra.dgc.core.api.dto.meta.path

# Class BooleanAttributeCollectionFilterRequest

Object
BooleanAttributeCollectionFilterRequest

All Implemented Interfaces:
  `Serializable`

public class BooleanAttributeCollectionFilterRequest extends Object implements Serializable
Specifies the details for a boolean attribute collection filter.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `BooleanAttributeCollectionFilterRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BooleanAttributeCollectionFilterRequest()`
  `BooleanAttributeCollectionFilterRequest(String typePublicId, BooleanFilterRequest none, BooleanFilterRequest any, BooleanFilterRequest all, Boolean isEmpty)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BooleanAttributeCollectionFilterRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `BooleanFilterRequest`
  `getAll()`
  `BooleanFilterRequest`
  `getAny()`
  `Boolean`
  `getIsEmpty()`
  `BooleanFilterRequest`
  `getNone()`
  `String`
  `getTypePublicId()`
  `int`
  `hashCode()`
  `void`
  `setAll(BooleanFilterRequest all)`
  `void`
  `setAny(BooleanFilterRequest any)`
  `void`
  `setIsEmpty(Boolean isEmpty)`
  `void`
  `setNone(BooleanFilterRequest none)`
  `void`
  `setTypePublicId(String typePublicId)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BooleanAttributeCollectionFilterRequest

    public BooleanAttributeCollectionFilterRequest()

  - ### BooleanAttributeCollectionFilterRequest

    public BooleanAttributeCollectionFilterRequest(String typePublicId, BooleanFilterRequest none, BooleanFilterRequest any, BooleanFilterRequest all, Boolean isEmpty)

- ## Method Details

  - ### builder

    public static BooleanAttributeCollectionFilterRequest.Builder builder()

  - ### getTypePublicId

    public String getTypePublicId()

  - ### getNone

    public BooleanFilterRequest getNone()

  - ### getAny

    public BooleanFilterRequest getAny()

  - ### getAll

    public BooleanFilterRequest getAll()

  - ### getIsEmpty

    public Boolean getIsEmpty()

  - ### setTypePublicId

    public void setTypePublicId(String typePublicId)

  - ### setNone

    public void setNone(BooleanFilterRequest none)

  - ### setAny

    public void setAny(BooleanFilterRequest any)

  - ### setAll

    public void setAll(BooleanFilterRequest all)

  - ### setIsEmpty

    public void setIsEmpty(Boolean isEmpty)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`